# Send Template Message V2

URL: https://developers.cuedesk.com/reference/templates-api-v2/send-template-message-v2

`POST https://api.cuedesk.com/v2/messages/whatsapp`

Guide: [Templates API - V2](https://developers.cuedesk.com/api/templates/templates_api_v2.md)

Authentication: send `Authorization: Bearer <token>`, with an API token from Settings > API Tokens.

The OpenAPI operation. `$ref` values point into https://developers.cuedesk.com/openapi.json.

```json
{
  "tags": [
    "Messages API v2"
  ],
  "summary": "Send Template Message V2",
  "operationId": "send_template_message_v2_v2_messages_whatsapp_post",
  "parameters": [
    {
      "name": "Authorization",
      "in": "header",
      "required": true,
      "schema": {
        "type": "string",
        "title": "Authorization"
      },
      "description": "An API token from **Settings > API Tokens**, as `Bearer <token>`.",
      "example": "Bearer <token>"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/SingleSendRequest"
        }
      }
    }
  },
  "responses": {
    "202": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/SingleSendResponse"
          }
        }
      }
    },
    "422": {
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/HTTPValidationError"
          }
        }
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-cue-guide": {
    "title": "Templates API - V2",
    "url": "/api/templates/templates_api_v2"
  }
}
```